Skip to main content

API overview

This reference is intentionally minimal until the public API surface is finalized.

Base URL

{AXTL_API_BASE_URL}
Use {AXTL_API_BASE_URL} until your workspace confirms the production base URL.

Endpoint families

AreaEndpoints
GenerationPOST /v1/generate, GET /v1/generate/{jobId}, GET /v1/generate/{jobId}/stream, POST /v1/generate/{jobId}/stream-token
AgentsGET /v1/agents, GET /v1/agents/{id}, GET /v1/agents/by-slug/{slug}
API keysGET /v1/agents/{id}/api-keys, POST /v1/agents/{id}/api-keys, POST /v1/agents/{id}/api-keys/{keyId}/revoke, POST /v1/agents/{id}/api-keys/{keyId}/rotate
DeploymentPOST /v1/deploy/{id}, GET /v1/deploy/{id}/status, GET /v1/deploy/{id}/endpoint
InvocationPOST /v1/invoke/{slug}
DownloadsPOST /v1/downloads/{agentId}/token, GET /v1/downloads/{agentId}/latest, GET /v1/downloads/{agentId}/{filename}
ValidationPOST /v1/validation/{id}/validate, GET /v1/validation/jobs/{jobId}, GET /v1/validation/agents/{id}/reports

Authentication

Most control API routes require:
Authorization: Bearer {AXTL_TOKEN}
POST /v1/invoke/{slug} requires an agent API key:
Authorization: Bearer {AXTL_AGENT_KEY}